## mx4j.tools.adaptor.http
Class InvokeOperationCommandProcessor

    java.lang.Object
      mx4j.tools.adaptor.http.HttpCommandProcessorAdaptor
          mx4j.tools.adaptor.http.InvokeOperationCommandProcessor

All Implemented Interfaces:
  HttpCommandProcessor

public class InvokeOperationCommandProcessor
extends HttpCommandProcessorAdaptor

InvokeOperationCommandProcessor, processes a request for unregistering an MBean

Version:
  $Revision: 1.3 $

Field Summary

Fields inherited from class mx4j.tools.adaptor.http.HttpCommandProcessorAdaptor
`builder, server`

Constructor Summary
`InvokeOperationCommandProcessor()`

Method Summary
`org.w3c.dom.Document` `executeRequest(HttpInputStream in)` Executes an HTTP request.

Methods inherited from class mx4j.tools.adaptor.http.HttpCommandProcessorAdaptor
`setDocumentBuilder, setMBeanServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvokeOperationCommandProcessor

    public InvokeOperationCommandProcessor()

Method Detail

### executeRequest

    public org.w3c.dom.Document executeRequest(HttpInputStream in)
                                        throws java.io.IOException,
                                               javax.management.JMException

  Description copied from interface: `HttpCommandProcessor`
  Executes an HTTP request. It assumes the request is well formed

  Specified by:
    `executeRequest` in interface `HttpCommandProcessor`
  Specified by:
    `executeRequest` in class `HttpCommandProcessorAdaptor`
  Throws:
    `java.io.IOException`
    `javax.management.JMException`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.